#
# spec file for package openstack-horizon-plugin-monasca-ui
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname monasca-ui

%if 0%{?rhel} || 0%{?fedora}
%global rdo 1
%global http_dashboard_dir %{_datarootdir}/openstack-dashboard
%else
%global http_dashboard_dir /srv/www/openstack-dashboard
%endif

Name:           openstack-horizon-plugin-monasca-ui
Version:        1.5.1~dev4
Release:        3.1
Summary:        OpenStack Monasca Horizon plugin
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://wiki.openstack.org/wiki/Monasca
Source0:        monasca-ui-stable-ocata.tar.gz
BuildRequires:  fdupes
BuildRequires:  openstack-dashboard
BuildRequires:  openstack-macros
BuildRequires:  python-monascaclient >= 1.1.0
BuildRequires:  python-pbr >= 1.8
Requires:       python-horizon-plugin-monasca-ui = %{version}
BuildArch:      noarch
# These patches cannot be merged into stable/ocata upstream: only bug and security
# fixes are accepted into stable/ocata at this stage, so adding them here:
Patch1:         drilldown-dimensions.patch
# FIXME: replace by official patch once https://review.openstack.org/518017 lands
Patch2:         allow-raw-grafana-links.patch

%description
The Monasca UI Horizon plugin adds Monitoring panel to the OpenStack dashboard.

%package -n python-horizon-plugin-monasca-ui
Summary:        Monasca Plugin for Horizon - Python module
Group:          Development/Languages/Python
Requires:       python-Django >= 1.8
Requires:       python-monascaclient >= 1.1.0
Requires:       python-pbr >= 1.8

%if 0%{?suse_version}
%package -n grafana-monasca-ui-drilldown
Summary:        Scripted Grafana dashboard for alarm drilldown links
Group:          Development/Languages/Python
Requires:       grafana
BuildRequires:  grafana
%endif

%description -n python-horizon-plugin-monasca-ui
The Monasca UI Horizon plugin adds Monitoring panel to the OpenStack dashboard.

%if 0%{?suse_version}
%description -n grafana-monasca-ui-drilldown
This adds a scripted dashboard to Grafana 2 and higher that the Monitoring
panel's Alarms tab links to when generating drilldown links for alarms.
%endif

%prep
%autosetup -p 1 -n %{sname}-1.5.1.dev4
%py_req_cleanup

%build
%py2_build

%install
%py2_install

install -m 0755 -d %{buildroot}%{http_dashboard_dir}/openstack_dashboard/enabled/
install -m 0755 -d %{buildroot}%{http_dashboard_dir}/openstack_dashboard/conf/
cp -a monitoring/enabled/_50_admin_add_monitoring_panel.py %{buildroot}%{http_dashboard_dir}/openstack_dashboard/enabled/
cp -a monitoring/conf/monitoring_policy.json %{buildroot}%{http_dashboard_dir}/openstack_dashboard/conf/
install -m 0755 -d %{buildroot}%{_datadir}/grafana/public/dashboards/
install -m 644 grafana-dashboards/drilldown.js %{buildroot}%{_datadir}/grafana/public/dashboards/
%fdupes %{buildroot}%{python2_sitelib}
%fdupes %{buildroot}%{http_dashboard_dir}

%post
su %{apache_user} -s /bin/sh -c "python %{http_dashboard_dir}/manage.py collectstatic --noinput --clear > /dev/null"

%postun
su %{apache_user} -s /bin/sh -c "python %{http_dashboard_dir}/manage.py collectstatic --noinput --clear > /dev/null"

%files
%{http_dashboard_dir}/openstack_dashboard/enabled/_50_admin_add_monitoring_panel.py
%{http_dashboard_dir}/openstack_dashboard/conf/monitoring_policy.json
%doc ChangeLog README.md LICENSE

%if 0%{?suse_version}
%files -n grafana-monasca-ui-drilldown
%license LICENSE
%{_datadir}/grafana/public/dashboards/drilldown.js
%endif

%files -n python-horizon-plugin-monasca-ui
%doc README.md
%license LICENSE
%{python2_sitelib}/monitoring
%{python2_sitelib}/monasca_ui-*.egg-info
%exclude %{http_dashboard_dir}/openstack_dashboard/enabled/_50_admin_add_monitoring_panel.pyc
%exclude %{http_dashboard_dir}/openstack_dashboard/enabled/_50_admin_add_monitoring_panel.pyo

%changelog
